/**<pre>
 * Title: GPS Simulator
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package gui.tray;

import map.*;
import gui.*;

import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;




/* ====================================================================== */
/** This class is a simple JPanel whose sole purpose is to hold a set
 *  Tabbed Panes.
 *
 */
public class PnlTabs extends JPanel {

	/** The simulation controller. */
    private MapPanel map;

  	/** The tab pane that contains all tabs. */
  	private JTabbedPane tabMain = new JTabbedPane();

	/** People tab. */
    private PnlTabFloors pnlFloors;

     private PnlTabRooms pnlRooms;





    // ======================================================================
    /** Constructor instantiates the individual tabs and calls init.
     *
     *  @param  controller   The simulation controller.
     *
     */
    public PnlTabs(MapPanel map) {

        this.map = map;

		// Setup the tabs
        pnlFloors = new PnlTabFloors( this, map );
        //pnlRooms = new PnlTabRooms( this, map );



        try {
            init();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }

    } //Constructor



    // ======================================================================
    /** Initializes this JPanel by setting the border, and adding the tabs
     *  to the tabbed pane.
     *
     */
    private void init() throws Exception {

        this.setLayout(new BorderLayout());

        this.add(tabMain, BorderLayout.CENTER);

        tabMain.add(pnlFloors,  "Floors");



    } //method: init


    public JTabbedPane getTabPane(){

		return tabMain;
	}


} //class: PnlTabs